## weiight 0.0.1-1

=== debian/changelog ===
weiight (0.0.1-1) unstable; urgency=low

  * Initial version

 -- Alvaro Manera <alblurrow@yute.com>  Wed, 04 Nov 2009 16:08:21 +0200
