=== debian/control ===
Source: weiight
Section: user/other
Priority: optional
Maintainer: Alvaro Manera <alblurrow@yute.com>
Uploaders: Alvaro Manera <alblurrow@yute.com>
Build-Depends: debhelper (>= 5),  bluez, libqt4-dev, libqt4-maemo5, libbluetooth3-dev, libcwiid
Standards-Version: 3.8.2
Homepage: http://gitorious.org/weiight/weiight


Package: weiight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Connect your N900 with the Wii
   Balence Board, and check how fat are you.
