## weiight 0.0.1-2

=== debian/changelog ===
weiight (0.0.1-2) unstable; urgency=low

  * Packaging fixes

 -- Alvaro Manera <alblurrow@yute.com>  Sat, 27 Mar 2010 23:08:21 +0200
