=== debian/control ===
--- 
+++ 
@@ -10,6 +10,40 @@
 
 Package: weiight
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Connect your N900 with the Wii
-   Balence Board, and check how fat are you.
+Depends: ${shlibs:Depends}, libcwiid, libbluetooth3 (>= 4.60), libc6 (>= 2.5.0-1), libgcc1 (>= 4.2.1), libqt4-core (>= 4.6.2~git20100224), libqt4-dbus (>= 4.6.2~git20100224), libqt4-gui (>= 4.6.2~git20100224), libqt4-maemo5 (>= 4.6.2~git20100224), libqt4-xml (>= 4.6.2~git20100224), libstdc++6 (>= 4.2.1)
+Description: N900 + BalanceBoard = How fat you are.
+XB-Maemo-Display-Name: Weiight
+XSBC-Bugtracker: mailto:alblurrow@yute.com
+XB-Maemo-Icon-26:
+  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI               
+  fAhkiAAAAAlwSFlzAAAA6QAAAOkBVJIUSwAAABl0RVh0U29mdHdhcmUAd3d3               
+  Lmlua3NjYXBlLm9yZ5vuPBoAAAUGSURBVGiB7ZnBb9NWHMe/7/k9O42TOm2S               
+  lrYUJCgTUQXaDkOaNPUyadJu+xN62mlIHLoDx3GaduIAJzQJcZ1224Hd0TRN               
+  TGJCGmhlUKA0pUmbpGls5/n5PQ4xhLZJiIeQQcpHeopk//Lz9+v3bP/8M9Fa               
+  40OGJi3gbRkZSJqRgaQZGUiakYGkYQDQbDY/rtfrP3qeVwBAGGM7nPMty7Kq               
+  nPPVTCbzJ+e8AmAXQBOA/w60EAAZAOMAxvf29hba7fanQohZIUQxCIKiUsom               
+  hAjHcX6fmpr6DoAgjUbj89XV1Z/L5fKRXllN00Q6ndaU0oBSKgzDCAghUikl
+  ohEC0AC07tQlOkJNT09nK5XKXlSuEEIIAUA7PyCEEEop5ZRSTggxlVIsDEOu
+  tbaEEIbrulBKHdLEGMOZM2d+m5ub+4rVarXv+4kHACEEhBAEgBmNoXEcB41G
+  o6eIt0FKifv373+RTqe/ZUKIbK8gzjnYPINm/Ys9ukfhlT30KwijM90XwzBg
+  zVtQZn+D1KPw1g8fw/M8JqU8ygzDqBwSP89x89RNXEtfQwutvskX9AIunryI
+  uT/mEATBQLEHsaYs3Fq8hSv2Fexgp2/cDGawcmIFZ/86C3+ve+mZpgnO+SrN
+  ZDL/HvzT46OPcTl9eaB4AHhAHuC8cx76ZPySvHqsikv2pYHiAaCMMlayK2gt
+  7NdSLBY3c7ncL3R8fPzXbDYrX9/5aOzR0EJcuCiPlWNI77CWWhs6VkNjI7Wx
+  b1smk1kFUKOpVOpOJpOpxVaQMKZploHOg2zbsqzBa+U9xDTNGtB9EjcS1PK/
+  ME1zB4gMEEKaycqJR3QHegJ0Z6CdoJ7YMMbAGNsEujPwLmqbdwbnHJZldQ3g
+  A5sBANowjBoQVaPpdNoslUqv9rZ5G8tYHjpbySmhWCoe2u44Dmzb7llqsDEW
+  6xiL9iLmSnMAANM0FaKKmAGA67r+w4cPXwXfnrmN6/z60MmXGkuo3qse2n78
+  +HE8ffq0ZzF3N38X163hj3GudQ6793YBAI7j0Pn5eQ50l1Bq6EzvB0RrnQMi
+  A1prK1k98QjDEL7vTwPdGfigDARBACnlFNA1YCeoJzZCCEgpjwHdJeQkKyke
+  Wmu02+0C0DFgSykzCWuKjRBiAgBoGIYfua6bS1pQXIIg6FwD9Xr963q9vu82
+  mpf5WMmcMP4KnAwnY8Vn5f5Xd8/zTgGwaLPZXDz4oCltlzCL2aESL8tlZNd6
+  9gUGcqJyAqf16aFil9QSZjf269na2jrWbDa/ZEEQHD34B3KP4EbrBp4VnkFS
+  eXD3K5zAwcSTCbi7bkz5gPhP4Kp/Fc+PPIdHvb5xaZnG9MY0Wpv737lc16W+
+  73/GKD3cXVRKwVvzMLn25ml20V/8oO9vWmu46y6y61lkMXgGezUXDMMApVSy
+  XC73k23bn7RarYFNK0IIGGOdfhFjIIQoABKAAqAJIZoQgmhorTUcxzFc1w1f
+  GlFKkUg8edmtA2BorZlSikgp8XK8iYWFhb/z+fwPRGuNarV6YXt7+5tmszmj
+  lGK2bddM06wwxqqc84plWVXDMHYppVuGYWylUqlNzvkOOr1SLzJycBw8/QY6
+  xePrgyPqh3qeVwyC4EgYhlNKqbyUcqLdbheCIChKKYu+7+d937dN02wVCoU7
+  k5OTF2zb/oe8Ns1jAPJR4vVIxPuEA6CATnO5gugEkdF34oQZGUiakYGkGRlI
+  mheKxh25HOezjQAAAABJRU5ErkJggg==
